pppdcapiplugin_3.25+dfsg1-3.7ubuntu1_amd64.deb


Advertisement

Description

pppdcapiplugin - ISDN utilities - pppd plug-in for CAPI support

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: pppdcapiplugin
Package version: 3.25+dfsg1
Package release: 3.7ubuntu1
Package architecture: amd64
Package type: deb
Installed size: 163 B
Download size: 39.41 KB
Official Mirror: archive.ubuntu.com
Some ISDN cards can be used by CAPI utilities - for instance the AVM passive cards. This package provides a plug-in for the regular PPP daemon to drive such cards via CAPI.

Alternatives

    Download

    Source package: isdnutils

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install pppdcapiplugin deb package:
      # sudo apt-get install pppdcapiplugin

    Files

    • /etc/drdsl/adsl.conf
    • /etc/ppp/peers/isdn/arcor
    • /etc/ppp/peers/isdn/avm
    • /etc/ppp/peers/isdn/avm-ml
    • /etc/ppp/peers/isdn/leased
    • /etc/ppp/peers/isdn/otelo
    • /etc/ppp/peers/isdn/talkline
    • /usr/lib/pppd/2.4.7/capiplugin.so
    • /usr/lib/pppd/2.4.7/userpass.so
    • /usr/share/doc/pppdcapiplugin/README
    • /usr/share/doc/pppdcapiplugin/changelog.Debian.gz
    • /usr/share/doc/pppdcapiplugin/copyright
    • /usr/share/doc/pppdcapiplugin/examples/chap-secrets
    • /usr/share/doc/pppdcapiplugin/examples/incoming-cli
    • /usr/share/doc/pppdcapiplugin/examples/incoming-noncli
    • /usr/share/doc/pppdcapiplugin/examples/inittab.cli
    • /usr/share/doc/pppdcapiplugin/examples/inittab.cli+cb
    • /usr/share/doc/pppdcapiplugin/examples/inittab.non-cli
    • /usr/share/lintian/overrides/pppdcapiplugin
    • /usr/share/man/man8/capiplugin.8.gz

    Changelog

    2016-01-21 - Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com> isdnutils (1:3.25+dfsg1-3.7ubuntu1) xenial; urgency=low * Merge from Debian unstable. Remaining changes: - debian/capi.conf: + Fix typo for fcdsl2 firmware. - debian/capiutils.maintscript: + Handle migrating the blacklist file from /etc/modprobe.d/blacklist-capiutils.conf to the path used in Debian, /etc/modprobe.d/capiutils.conf. - debian/control: + Switch Build-Depends libreadline5-dev to libreadline-gplv2-dev since this package appears to be GPLv2. - debian/event.d-ttyI0, debian/event.d-ttyI1, debian/isdnutils-base.examples, debian/isdnvboxserver.examples: + Add examples scripts, which need to be installed in /etc/*. + The two upstart scripts need to be edited. + Further improvements and documentation welcome. - debian/ipppd.maintscript: + Handle rename of /etc/ppp/ip-down.d/99-ipppd and /etc/ppp/ip-up.d/00-ipppd to /etc/ppp/ip-down.d/ipppd and /etc/ppp/ip-up.d/ipppd. - debian/isdnutils-base.cron.d: + Drop, it isn't a cronjob example at all but an inittab example gone astray. - debian/isdnvboxserver.postinst: + Remove dependencies on /etc/inittab. + Disable the installation code to modify /etc/inittab. - debian/patches/capifax*.patch: + Apply patches that were preserved in the 3.0 (quilt) migration, but were inadvertently not applied. - debian/patches/no-imake.patch: + Don't build xisdnload/xmonisdn using xmkmf/imake. This patch was dropped in Debian without explanation. It still applies and seems to still be a good idea for eventual upstreaming, since imake is quite obsolete.

    2015-12-25 - Chris Boot <bootc@debian.org> isdnutils (1:3.25+dfsg1-3.7) unstable; urgency=medium * Non-maintainer upload. * Bump Build-Depends on ppp-dev to (>= 2.4.7-1+~). * Use dh_ppp to populate the Depends field for pppdcapiplugin. (Closes: #805564)

    2015-07-20 - gregor herrmann <gregoa@debian.org> isdnutils (1:3.25+dfsg1-3.6) unstable; urgency=medium * Non-maintainer upload. * Fix "ftbfs with GCC-5": add patch to build isdnlog with "-fgnu89-inline" (closes: #777920).

    Advertisement
    Advertisement